For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
GithubSign up
DocsCouriersShippersForwardersTrackersAppAPI ReferenceSDKsFAQ
DocsCouriersShippersForwardersTrackersAppAPI ReferenceSDKsFAQ
  • API Reference
        • GETGet by ID
        • GETLine items
        • GETList
        • POSTAd-hoc create
        • POSTAd-hoc add line item
        • DELAd-hoc remove line item
        • POSTFinalize
        • POSTPropose line item
        • DELWithdraw line item
        • POSTApprove line item
        • POSTDeny line item
        • DELDelete (STAGED only)
        • POSTCreate LIG from SPP rate sheet
        • POSTCreate LIG from PPP rate sheet
        • POSTCreate LIG from PPD rate sheet
          • GETGet S3 object metadata
          • GETGet S3 object
          • POSTAdd S3 object
          • DELDelete S3 object
LogoLogo
GithubSign up
API ReferenceBillingLine Item GroupsS3objects

Add S3 object

POST
/billing/line_item_groups/s3_objects/add/v1/:line_item_group_id
POST
/billing/line_item_groups/s3_objects/add/v1/:line_item_group_id
1import { ChrtClient } from "@chrt-inc/typescript-sdk";
2
3async function main() {
4 const client = new ChrtClient({
5 token: "YOUR_TOKEN_HERE",
6 });
7 await client.billing.lineItemGroups.s3Objects.addV1("line_item_group_id", );
8}
9main();
1true

Uploads a file (image, PDF, etc.) to a line item group. Automatic blurhash generation for images. | authz_personas=[lig_org_operators, lig_driver] | (UploadFile) -> (bool)

Was this page helpful?
Previous

Delete S3 object

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

line_item_group_idstringRequired

Request

This endpoint expects a multipart form containing a file.
filefileRequired

Response

Successful Response

Errors

422
S3objects Add V1request Unprocessable Entity Error